
package de.ivu.elect.presentation.ergebnis.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.ergebnis.ErgebnisLogEintragSearchView;

public class ErgebnisLogEintragAnzeigenMenuItemEntry extends AbstractErgebnisLogEintragAnzeigenMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public ErgebnisLogEintragAnzeigenMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.ERGEBNIS_LOG_EINTRAG_SEARCH);
  }

  @Override
  public String getTargetViewId() {
    return ErgebnisLogEintragSearchView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "ergebnis.log.eintrag.search.menu.item.label";
  }
}
